/* Form submission functions for the Firedrum Widget */
;(function($){
	$(function($) {
		// Change our submit type from HTML (default) to JS
		$('#fd_submit_type').val('js');
		
		// Attach our form submitter action
		
		//alert(firedrum.ajax_url);
		$('#fd_signup_form').ajaxForm({
			url: firedrum.ajax_url, 
			type: 'POST', 
			dataType: 'text',
			beforeSubmit: fd_beforeForm,
			success: fd_success
		});
	});
	
	function fd_beforeForm(){
		// Disable the submit button
		$('#fd_signup_submit').attr("disabled","disabled");
	}
	function fd_success(data){
		// Re-enable the submit button
		$('#fd_signup_submit').removeAttr("disabled");
		
		// Put the response in the message div
		$('#fd_message').html(data);
		
		// See if we're successful, if so, wipe the fields
		var reg = new RegExp("class='fd_success_msg'", 'i');
		if (reg.test(data)){
			$('#fd_signup_form').each(function(){
				this.reset();
			});
			$('#fd_submit_type').val('js');
		}
		$.scrollTo('#fd_signup', {offset: {top: -28}});
	}
})(jQuery);
